import 'package:domain/entity/response/index_option_entity.dart';
import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/u_k_security_attendance_option_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/u_k_security_attendance_option_entity.g.dart';

@JsonSerializable()
class UKSecurityAttendanceOptionEntity {
	@JSONField(name: "department_list")
	List<IndexOptionEntity>? departmentList = [];
	UKSecurityAttendanceOptionFilter? filter;

	UKSecurityAttendanceOptionEntity();

	factory UKSecurityAttendanceOptionEntity.fromJson(Map<String, dynamic> json) => $UKSecurityAttendanceOptionEntityFromJson(json);

	Map<String, dynamic> toJson() => $UKSecurityAttendanceOptionEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class UKSecurityAttendanceOptionFilter {
	@JSONField(name: "start_date")
	String? startDate;
	@JSONField(name: "end_date")
	String? endDate;

	UKSecurityAttendanceOptionFilter();

	factory UKSecurityAttendanceOptionFilter.fromJson(Map<String, dynamic> json) => $UKSecurityAttendanceOptionFilterFromJson(json);

	Map<String, dynamic> toJson() => $UKSecurityAttendanceOptionFilterToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}